## rsync 2.6.9-1

=== debian/changelog ===
rsync (2.6.9-1) mistral; urgency=low

  * Repackaged for Maemo Extras repository.

 -- Luca Donaggio <donaggio@gmail.com>  Mon, 19 Feb 2007 10:56:04 +0100
