## rsync 3.4.1+ds1

=== support/Makefile ===
all: savetransfer

savetransfer: savetransfer.o

clean:
	rm -f *.o savetransfer
