## rsync 2.6.9-2

=== debian/changelog ===
rsync (2.6.9-2) chinook; urgency=low

  * Recompiled for Maemo 4.x (Chinhook).

 -- Luca Donaggio <donaggio@gmail.com>  Mon, 12 Nov 2007 17:10:00 +0200

rsync (2.6.9-1) bora; urgency=low

  * Repackaged for Maemo Extras repository.

 -- Luca Donaggio <donaggio@gmail.com>  Mon, 8 Nov 2007 10:17:04 +0200
