=== debian/control ===
Source: rsync
Section: user/accessories
Priority: optional
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rsync is an open source utility that provides fast incremental file transfer.
