## rsync 3.0.0-2maemo2

=== debian/changelog ===
rsync (3.0.0-2maemo2) unstable; urgency=low

  * test for /etc/default/rcS so we won't error on it
  * Minor changes so it can be installed on nokia tablets from user

 -- Tom Zerucha <tz1@mac.com>  Sun, 21 Dec 2008 00:01:00 -0600

rsync (3.0.0-2) unstable; urgency=low

  * patch from upstream to fix crash in single-use daemon mode.
    see #469172, although this only fixes the secondary part of that report.

 -- Paul Slootman <paul@debian.org>  Tue, 04 Mar 2008 12:34:03 +0100

rsync (3.0.0-1) unstable; urgency=low

  * new upstream release
  * manpage typo fixed upstream.
    closes:#414636
  * fixed LSB header in init.d script.
    closes:#458442
  * the progress display will not show negative values, if the file changes
    (becomes shorter) during the transfer.
    closes:#415648
  * manpage now correctly show the short form of copy-dirlinks as -k, not -K
    closes:#418923
  * invalid free() pointer doesn't occur anymore.
    closes:#451558
  * rsync will now write in log when --exclude-from is stdin.
    closes:#466950
  * check for rsyncd.conf in init.d script when starting or restarting.
    closes:#412448
  * include scripts from upstream support directory in
    /usr/share/doc/rsync/scripts/
    closes:#458200
  * include example logrotate config file in /usr/share/doc/rsync/examples/
    closes:#416316
  * filename conversion is now possible with the --iconv option. Noe exactly
    what was asked, but close enough IMHO to close:#320223

 -- Paul Slootman <paul@debian.org>  Sun, 02 Mar 2008 13:45:09 +0100

rsync (3.0.0~pre10-1) experimental; urgency=low

  * OK, one more prerelease version
  * fixed LSB header in init.d script.
    closes:#458442
  * manpage typo fixed.
    closes:#414636

 -- Paul Slootman <paul@debian.org>  Wed, 20 Feb 2008 11:20:47 +0100

rsync (3.0.0~pre9-1) experimental; urgency=low

  * prerelease version 9 of 3.0.0, hopefully the last before official 3.0.0
  * Updated fsf.org link to GPL-3 text in copyright file.

 -- Paul Slootman <paul@debian.org>  Mon, 11 Feb 2008 11:35:13 +0100

rsync (3.0.0~pre8-2) experimental; urgency=low

  * fix hardlinking 64-bit inodes

 -- Paul Slootman <paul@debian.org>  Mon, 04 Feb 2008 16:25:54 +0100

rsync (3.0.0~pre8-1) experimental; urgency=low

  * prerelease version 8 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Sun, 13 Jan 2008 13:37:17 +0100

rsync (3.0.0~pre7-1) experimental; urgency=low

  * prerelease version 7 of 3.0.0
  * includes fix for the recent CVE-2007-6199, CVE-2007-6200 vulnerabilities
  * modified the way supplemental patches from debian/patches/ are applied
    (accept both .patch and .diff extensions)

 -- Paul Slootman <paul@debian.org>  Thu, 20 Dec 2007 12:53:35 +0100

rsync (3.0.0~pre6-1) experimental; urgency=low

  * prerelease version 6 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Wed, 28 Nov 2007 12:54:15 +0100

rsync (3.0.0~pre5-1) experimental; urgency=low

  * prerelease version 5 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Mon, 12 Nov 2007 12:30:38 +0100

rsync (3.0.0~pre4-1) experimental; urgency=low

  * prerelease version 4 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Thu, 08 Nov 2007 19:32:18 +0100

rsync (3.0.0~pre1-1) experimental; urgency=low

  * prerelease version 1 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Fri, 05 Oct 2007 11:06:31 +0200

rsync (2.6.9-5) unstable; urgency=high

  * fix two off-by-one errors leading to potential buffer overflow which may
    corrupt the stack (CVE-2007-4091)
    closes:#438125

 -- Paul Slootman <paul@debian.org>  Wed, 15 Aug 2007 21:24:47 +0200

rsync (2.6.9-4) unstable; urgency=low

  * Check for empty filename (buggy kernel may have that in /sys)
  * include README.Debian in the package...
  * init.d script checks whether rsync stays running, or whether it was
    running during a restart.
    closes:#412448
  * fixed typos in manpage
    closes:414636

 -- Paul Slootman <paul@debian.org>  Thu, 26 Jul 2007 19:03:54 +0200

rsync (2.6.9-3) unstable; urgency=low

  * Add patch from upstream to fix error when using -vv together with --stats.
    closes:#402381
  * treat errno == ENOSYS the same as errno == ENOTSUP on hppa as far as ACL
    support is concerned.
    closes:#401189

 -- Paul Slootman <paul@debian.org>  Tue, 12 Dec 2006 14:39:43 +0100

rsync (2.6.9-2) unstable; urgency=low

  * Applied patch from upstream to fix problem
    with --acl together with --delete
    (see http://lists.samba.org/archiv:ee/rsync/2006-November/016706.html)
  * Couple of adjustments to manpage formatting.

 -- Paul Slootman <paul@debian.org>  Mon, 20 Nov 2006 15:43:12 +0100

rsync (2.6.9-1) unstable; urgency=low

  * New upstream release.
  * (from experimental version 2.6.9~pre3-1)
    Applied a mix of the patches from Martin Pitt and David Härdeman for
    LSBfying init script.
    closes:#375985,#385877
  * Upstream now includes the patch for replacing a dir with a symlink when
    using --delete-after.
    closes:#350522
  * Now includes the ACL patch.

 -- Paul Slootman <paul@debian.org>  Tue,  7 Nov 2006 12:32:20 +0100

rsync (2.6.9~pre3-1) experimental; urgency=low

  * 2.6.9-pre3
  * Applied a mix of the patches from Martin Pitt and David Härdeman for
    LSBfying init script.
    closes:#375985,#385877
  * Updated policy version from 3.6.2 to 3.7.2; no changes needed
  * Applied ACL patch. Please test :-)

 -- Paul Slootman <paul@debian.org>  Fri, 27 Oct 2006 12:27:45 +0200

rsync (2.6.9~pre1-1) experimental; urgency=low

  * 1st prerelease of rsync-2.6.9

 -- Paul Slootman <paul@debian.org>  Sat, 14 Oct 2006 18:48:27 +0200

rsync (2.6.8-2) unstable; urgency=low

  * Ignore empty value for RSYNC_NICE.
    closes:#365261

 -- Paul Slootman <paul@debian.org>  Sat, 29 Apr 2006 13:07:43 +0200

rsync (2.6.8-1) unstable; urgency=low

  * new upstream version
  * Updated standards version to 3.6.2 (no changes necessary).
  * (from experimental version 2.6.7-2.6.8pre1):
    Split ssh suggestion into openssh-server and openssh-client.

