=== rsync-3.0.0/debian/control ===
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
