## rsync 3.0.4-3maemo3

=== debian/changelog ===
rsync (3.0.4-3maemo3) fremantle; urgency=low

  * Remove setup for rsyncd (not needed).

 -- Kenneth Loafman <kenneth@loafman.com>  Wed, 29 Apr 2009 13:09:09 -0500

rsync (3.0.4-3maemo2) fremantle; urgency=low

  * Adjust build-depends for base-utils.

 -- Kenneth Loafman <kenneth@loafman.com>  Sat, 03 Apr 2009 10:57:33 -0500

rsync (3.0.4-3maemo1) fremantle; urgency=low

  * No-change upload to extras.

 -- Kenneth Loafman <kenneth@loafman.com>  Thu, 02 Apr 2009 09:14:33 -0500

rsync (3.0.4-3ubuntu1~hardy1) hardy-backports; urgency=low

  [ Chris Coulson ]
  * Source backport for Hardy Backports (LP: #257211)
    - debian/control: Relaxed dependency on lsb-base from (>=3.2-14) to
      (>=3.2-4)
    - debian/init.d: Removed usage of status_of_proc(), as lsb-base in
      Hardy is too old.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 27 Jan 2009 21:35:04 -0500

rsync (3.0.4-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/control: Deepend on lsb-base >= 3.2-14, providing status_of_proc()
    + debian/init.d: Add the 'status' action. (LP: #251320)
    + Adhere to update-rc.d multiuser deprecation as per
      https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-June/000430.html
      and
      https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2008-July/004662.html
      - debian/control: Drop sys-rc versioned dependecny.
      - debian/init.d: Modify Default-Stop LSB header.
      - debian/postinst: Explicityly specify runlevels again. (LP:  #229336)
    + Remove stop links from rc0 and rc6 (and use update-rc.d multiuser
      instead of defaults)
    + Depen on sys-rc to accomodate the TearDown changes.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Nov 2008 03:23:19 +0000

rsync (3.0.4-3) unstable; urgency=low

  * When transferring files from an older rsync daemon without any options,
    the daemon complained about "unknown option: -". Fixed that with a
    patch from Matt McCutchen.
    closes:#493559
  * Sometimes rsync crashed with a segfault when transferring files with -X
    (preserve extended attributes). Fixed that with a patch from upstream
    (Wayne Davison).
    closes:#498083

 -- Paul Slootman <paul@debian.org>  Wed, 24 Sep 2008 11:35:15 +0200

rsync (3.0.4-2) unstable; urgency=low

  * The log format '%P' patch accidentally reverted an ability to transform a
    relative module path into an absolute one when chroot was not enabled.

 -- Paul Slootman <paul@debian.org>  Fri, 12 Sep 2008 11:00:20 +0200

rsync (3.0.4-1) unstable; urgency=low

  * new upstream release.
  * Fix log format '%P' when a module is chrooted.
    closes:#493539
  * Add a comment to the rsyncd.conf manpage that a hash sign (for comments)
    can only be used at the beginning of a line.
    closes:#498332

 -- Paul Slootman <paul@debian.org>  Thu, 11 Sep 2008 11:57:46 +0200

rsync (3.0.3-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove stop links from rc0 and rc6.
      (and use update-rc.d multiuser instead of defaults). (TearDown spec)
    - depend on sys-rc to accomodate the TearDown changes.

  [Daniel T. Chen]
  * Adhere to update-rc.d multiuser deprecation as per
    https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-June/000430.html
    and
    https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2008-July/004662.html
    - debian/control: Drop sysv-rc versioned dependency,
    - debian/init.d:   Modify Default-Stop LSB header,
    - debian/postinst: Explicitly specify runlevels again. (LP: #229336)

  [Dustin Kirkland]
  * debian/control: Depend on lsb-base >= 3.2-14, providing status_of_proc().
  * debian/init.d: Add the 'status' action (LP: #251320).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jul 2008 23:52:06 +0100

rsync (3.0.3-2) unstable; urgency=low

  * Included some patches from the upcoming 3.0.4 release, which I consider
    important enough to include now. See debian/patches/README for the
    details.
  * Ensure that the build bails out if patching fails.
  * Added md5sums for this package.
    closes:#484343
  * Updated to standards version 3.7.3. No changes necessary.

 -- Paul Slootman <paul@debian.org>  Fri, 25 Jul 2008 10:43:00 +0200

rsync (3.0.3-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove stop lilnks from rc0 and rc6
      (and use update-rc.d multiuser instead of defauts). (TearDown spec)
    - depend on sysv-rc to accomodate the TearDown changes.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Jul 2008 00:01:48 +0100

rsync (3.0.3-1) unstable; urgency=low

  * New upstream release

 -- Paul Slootman <paul@debian.org>  Wed, 02 Jul 2008 11:07:22 +0200

rsync (3.0.2-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove stop links from rc0 and rc6
      (and use update-rc.d multiuser instead of defaults). (TearDown spec)
    - depend on sysv-rc to accomodate the TearDown changes.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 16 May 2008 11:48:01 +0200

rsync (3.0.2-2) unstable; urgency=low

  * Fixed a crash if a non-incremental-recursion transfer has a skipped file
    in a set of hard-links.
    closes:#477931

 -- Paul Slootman <paul@debian.org>  Mon, 28 Apr 2008 13:06:35 +0200

rsync (3.0.2-1) unstable; urgency=high

  * new upstream release
  * fixes security problem: potential buffer overflow in the
    extended attribute support. For more info, see
    http://rsync.samba.org/security.html

 -- Paul Slootman <paul@debian.org>  Tue, 08 Apr 2008 19:34:22 +0200

rsync (3.0.1-1) unstable; urgency=low

  * new upstream release
  * call ssh with -6 option if rsync was called with -6 option,
    and ditto for -4 option.
    Upstream considers the -4 and -6 options for use only when talking to a
    daemon, hence this change will remain a Debian-only feature.
    closes:367319

 -- Paul Slootman <paul@debian.org>  Fri, 04 Apr 2008 12:36:56 +0200


