=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: rsync
-Section: user/utilities
+Section: net
 Priority: optional
-Maintainer: Tom Zerucha <tz1@mac.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
 Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: rsync
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, lsb-base (>= 3.2-4), base-files (>= 3.1)
 Suggests: openssh-client, openssh-server
 Description: fast remote file copy program (like rcp)
  rsync is a program that allows files to be copied to and from remote
