=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	@echo applying acl support patch
 	cat patches/acls.diff | (cd debian/buildtree; patch -p1)
 	@echo applying misc Debian patches
-	for i in debian/patches/*.patch debian/patches/*.diff; do if [ -s $i ]; then echo "  $$i ..."; cat $$i | (cd debian/buildtree; patch -p1); fi; done
+	for i in debian/patches/*.patch debian/patches/*.diff; do if [ -s $$i ]; then echo "  $$i ..."; cat $$i | (cd debian/buildtree; patch -p1) || exit 1; fi; done
 	echo configuring
 	(cd debian/buildtree; ./configure --prefix=/usr --mandir='$${prefix}/share/man' --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE))
 	# --enable-acl-support
@@ -96,7 +96,8 @@
 	$(INSTALL_FILE) README tech_report.tex debian/tmp/usr/share/doc/rsync/
 	$(INSTALL_FILE) TODO                   debian/tmp/usr/share/doc/rsync/
 	$(INSTALL_FILE) NEWS                   debian/tmp/usr/share/doc/rsync/changelog
-	$(INSTALL_FILE) support/atomic-rsync support/cull_options support/cvs2includes support/file-attr-restore support/files-to-excludes support/git-set-file-times support/logfilter support/lsh support/mnt-excl support/munge-symlinks support/rrsync support/rsyncstats debian/tmp/usr/share/doc/rsync/scripts/
+	$(INSTALL_FILE) packaging/cull_options debian/tmp/usr/share/doc/rsync/scripts/
+	$(INSTALL_FILE) support/atomic-rsync support/cvs2includes support/file-attr-restore support/files-to-excludes support/git-set-file-times support/logfilter support/lsh support/mnt-excl support/munge-symlinks support/rrsync support/rsyncstats debian/tmp/usr/share/doc/rsync/scripts/
 	# $(INSTALL_FILE) debian/README.Debian   debian/tmp/usr/share/doc/rsync/
 	echo -e '\n\f' >> debian/tmp/usr/share/doc/rsync/changelog
 	cat OLDNEWS    >> debian/tmp/usr/share/doc/rsync/changelog
@@ -110,6 +111,7 @@
 	$(INSTALL_FILE) debian/default  debian/tmp/etc/default/rsync
 	$(INSTALL_SCRIPT) debian/init.d debian/tmp/etc/init.d/rsync
 	(cd debian/tmp; find ./etc -type f | sed s,.,,) > debian/tmp/DEBIAN/conffiles
+	(cd debian/tmp; find usr -type f -print0 | xargs -0 md5sum) > debian/tmp/DEBIAN/md5sums
 	dpkg-shlibdeps debian/tmp/usr/bin/$(BINS)
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
